## plasma-mobile 6.2.4

=== debian/changelog ===
plasma-mobile (6.2.4-1) unstable; urgency=medium

  * New upstream release
  * Update d/control after upstream changes
  * Update d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 10 Dec 2024 21:56:10 +0100

plasma-mobile (6.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1035655)
  * Update d/control after upstream (Closes: #1079477, #1079559, #1079662)
  * Std-ver 4.7.0 (no changes needed)
  * Update d/rules for building based on KF6 instead of KF5
  * Update plasma-mobile-tweaks after upstream changes
  * Update d/plasma-mobile.install after upstream changes
  * Add qt6-declarative-private-dev to build-deps as workaround to #1087385
  * Remove plasma-mobile-tweaks conffiles dropped upstream

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 26 Nov 2024 20:40:10 +0100

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.5.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev,
               kwin-dev (>= 4:6.2.0~),
               libepoxy-dev,
               libglib2.0-dev,
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6globalaccel-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6itemmodels-dev (>= 6.5.0~),
               libkf6jobwidgets-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6modemmanagerqt-dev (>= 6.5.0~),
               libkf6networkmanagerqt-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6package-dev (>= 6.5.0~),
               libkf6service-dev (>= 6.5.0~),
               libkscreen-dev,
               liblayershellqtinterface-dev,
               libplasmaactivities-dev,
               libxcb1-dev,
               libudev-dev,
               pkgconf,
               pkg-kde-tools,
               plasma-workspace-dev (>= 4:6.1.0~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile.git
Rules-Requires-Root: no

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         maliit-keyboard,
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         qml6-module-org-kde-bluezqt,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-graphicaleffects,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-layershell,
         qml6-module-org-kde-pipewire,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtcore,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-effects,
         xdg-desktop-portal-kde (>= 6.0.0~),
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

## plasma-mobile 6.2.5

=== debian/changelog ===
plasma-mobile (6.2.5-1) unstable; urgency=medium

  * New upstream release (6.2.5).
  * Change maintainer to the Qt/KDE Team.
  * Update Vcs-* URLs to the new location in the Qt/KDE team’s GitLab
    group.
  * Drop gbp.conf.
  * Simplify packaging by using dh-* build-deps.
  * Replaces+Breaks plasma-settings 24.02.0 (Closes: #1092569).
  * Update build-deps and deps with the info from cmake.

  [ Aurélien COUDERC ]
  * Remove upstream source from the packaging repo.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 11 Jan 2025 17:55:53 +0100

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 6.5.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev,
               kwin-dev (>= 4:6.2.0~),
               libepoxy-dev,
               libglib2.0-dev,
               libkf6bluezqt-dev,
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6declarative-dev,
               libkf6globalaccel-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6itemmodels-dev (>= 6.5.0~),
               libkf6jobwidgets-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6modemmanagerqt-dev (>= 6.5.0~),
               libkf6networkmanagerqt-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6package-dev (>= 6.5.0~),
               libkf6service-dev (>= 6.5.0~),
               libkscreen-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libplasma5support-dev,
               libplasmaactivities-dev,
               libudev-dev,
               libxcb1-dev,
               milou,
               pkg-kde-tools,
               pkgconf,
               plasma-nano,
               plasma-nm,
               plasma-pa,
               plasma-workspace-dev (>= 4:6.1.0~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile.git
Rules-Requires-Root: no

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         maliit-keyboard,
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         xdg-desktop-portal-kde (>= 6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Replaces: plasma-settings (<< 24.02.0~),
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
        plasma-settings (<< 24.02.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

## plasma-mobile 6.2.90

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014-2020 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2017-2021 Bhushan Shah <bshah@kde.org>
# SPDX-FileCopyrightText: 2019-2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.16)

project(plasma-mobile)
set(PROJECT_VERSION "6.2.90")
set(PROJECT_VERSION_MAJOR 6)

set(PROJECT_DEP_VERSION "6.2.90")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(INSTALL_SYSTEMD_SERVICE "Install a systemd service file to start the session" OFF)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(KF_IGNORE_PLATFORM_CHECK ON CACHE BOOL "Don't check platform that is being built on")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMFindQmlModule)
include(ECMGenerateQmlTypes)
include(ECMFindQmlModule)
include(GenerateExportHeader)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(FeatureSummary)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMA_MOBILE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Qml
    Quick
    Gui
    Sensors
    WaylandClient
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    GlobalAccel
    KIO
    Config
    DBusAddons
    ItemModels
    Service
    Notifications
    ModemManagerQt
    NetworkManagerQt
    KCMUtils
    Package
    JobWidgets
)

find_package(Plasma CONFIG REQUIRED)
find_package(PlasmaQuick CONFIG REQUIRED)
find_package(PlasmaActivities CONFIG REQUIRED)
find_package(KF6Screen CONFIG REQUIRED)
find_package(KWayland CONFIG REQUIRED)

find_package(PkgConfig REQUIRED)

find_package(QCoro6 REQUIRED COMPONENTS DBus)
qcoro_enable_coroutines()
kde_enable_exceptions()

pkg_check_modules(GOBJECT gobject-2.0 REQUIRED IMPORTED_TARGET)
pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)

find_package(KF6KirigamiAddons 0.6 REQUIRED)
find_package(epoxy REQUIRED)
find_package(XCB REQUIRED COMPONENTS XCB)
find_package(KWin ${PROJECT_DEP_VERSION} REQUIRED COMPONENTS
    kwin
)

find_package(LayerShellQt REQUIRED)

find_package(LibKWorkspace CONFIG REQUIRED)
find_package(Libudev REQUIRED)

find_package(KWinDBusInterface)
set_package_properties(KWinDBusInterface PROPERTIES DESCRIPTION "KWin DBus interface"
    TYPE REQUIRED
    PURPOSE "Needed for virtual keyboard toggle button"
)

include(CheckIncludeFiles)

ecm_find_qmlmodule(org.kde.pipewire 0.1)

plasma_install_package(lookandfeel org.kde.breeze.mobile look-and-feel lookandfeel)
plasma_install_package(shell org.kde.plasma.mobileshell shells)

add_subdirectory(bin)
add_subdirectory(components)
add_subdirectory(containments)
add_subdirectory(quicksettings)
add_subdirectory(kcms)
add_subdirectory(kded)
add_subdirectory(kwin)
add_subdirectory(envmanager)
add_subdirectory(initialstart)
add_subdirectory(layout-templates)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

find_program(PlasmaOpenSettings plasma-open-settings)
set_package_properties(PlasmaOpenSettings PROPERTIES
                                          URL https://invent.kde.org/plasma/kde-cli-tools/
                                          DESCRIPTION "Opens KCMs properly"
                                          TYPE RUNTIME
                                          PURPOSE "Used on the top panel")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

if (INSTALL_SYSTEMD_SERVICE)
    install(FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/plasma-mobile.service
        DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}
    )
endif()

=== debian/changelog ===
plasma-mobile (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Tighten inter-Plasma package dependencies.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 09:02:24 +0000

plasma-mobile (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:03:38 +0000

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.10.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev (>= 4:6.2.90~),
               kwin-dev (>= 4:6.2.90~),
               libepoxy-dev,
               libglib2.0-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6jobwidgets-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6modemmanagerqt-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkscreen-dev (>= 4:6.2.90~),
               liblayershellqtinterface-dev (>= 6.2.90~),
               libplasmaactivities-dev (>= 6.2.90~),
               libudev-dev,
               libxcb1-dev,
               pkg-kde-tools,
               pkgconf,
               plasma-workspace-dev (>= 4:6.2.90~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire (>= 6.2.90~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
Rules-Requires-Root: no

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         kde-style-breeze (>= 4:6.2.90~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.2.90~),
         maliit-keyboard,
         milou (>= 4:6.2.90~),
         plasma-nano (>= 6.2.90~),
         plasma-nm (>= 4:6.2.90~),
         plasma-pa (>= 4:6.2.90~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.2.90~),
         powerdevil (>= 6.2.90~),
         qml6-module-org-kde-bluezqt,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-graphicaleffects,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-layershell,
         qml6-module-org-kde-pipewire,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtcore,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-effects,
         xdg-desktop-portal-kde (>= 6.2.90~),
Recommends: bluedevil (>= 6.2.90~),
            hfd-service,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf6,pkgkde_symbolshelper,sodeps --buildsystem kf6 --without build_stamp

override_dh_installsystemd:
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

## plasma-mobile 6.3.0

=== debian/changelog ===
plasma-mobile (6.3.0-1) unstable; urgency=medium

  * New upstream release (6.3.0).
  * d/watch: set pgpsigurlmangle option for uscan to check upstream signatures.
  * Update build-deps and deps with the info from cmake.

  [ Aurélien COUDERC ]
  * Review copyright information.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 15 Feb 2025 23:02:06 +0100

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 6.10.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev,
               kwin-dev (>= 4:6.3.0~),
               libepoxy-dev,
               libglib2.0-dev,
               libkf6bluezqt-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6declarative-dev,
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6jobwidgets-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6modemmanagerqt-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkscreen-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libplasma5support-dev,
               libplasmaactivities-dev,
               libudev-dev,
               libxcb1-dev,
               milou,
               pkg-kde-tools,
               pkgconf,
               plasma-nano,
               plasma-nm,
               plasma-pa,
               plasma-workspace-dev (>= 4:6.1.0~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile.git
Rules-Requires-Root: no

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         maliit-keyboard,
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         xdg-desktop-portal-kde (>= 6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Replaces: plasma-settings (<< 24.02.0~),
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
        plasma-settings (<< 24.02.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

## plasma-mobile 6.3.2

=== debian/changelog ===
plasma-mobile (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Recommend iio-sensor-proxy. (Closes: #1098304)
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 01 Mar 2025 21:50:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                dh-sequence-sodeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                kirigami-addons-dev (>= 0.6~),
                kwayland-dev,
-               kwin-dev (>= 4:6.3.0~),
+               kwin-dev (>= 4:6.3.2~),
                libepoxy-dev,
                libglib2.0-dev,
                libkf6bluezqt-dev,
@@ -80,6 +80,7 @@
          ${shlibs:Depends},
 Recommends: bluedevil (>= 6.0.0~),
             hfd-service,
+            iio-sensor-proxy,
             plasma-mobile-tweaks,
             plasma-workspace-wallpapers,
 Replaces: plasma-settings (<< 24.02.0~),

## plasma-mobile 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 # SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
 # SPDX-License-Identifier: GPL-2.0-or-later
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.2.90")
+set(PROJECT_VERSION "6.3.4")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.2.90")
+set(PROJECT_DEP_VERSION "6.3.4")
 set(QT_MIN_VERSION "6.7.0")
 set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== quicksettings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

plasma_install_package(airplanemode org.kde.plasma.quicksetting.airplanemode quicksettings)
plasma_install_package(audio org.kde.plasma.quicksetting.audio quicksettings)
plasma_install_package(battery org.kde.plasma.quicksetting.battery quicksettings)
plasma_install_package(bluetooth org.kde.plasma.quicksetting.bluetooth quicksettings)
plasma_install_package(caffeine org.kde.plasma.quicksetting.caffeine quicksettings)
plasma_install_package(docked org.kde.plasma.quicksettings.docked quicksettings)
plasma_install_package(donotdisturb org.kde.plasma.quicksetting.donotdisturb quicksettings)
plasma_install_package(keyboardtoggle org.kde.plasma.quicksetting.keyboardtoggle quicksettings)
plasma_install_package(mobiledata org.kde.plasma.quicksetting.mobiledata quicksettings)
plasma_install_package(settingsapp org.kde.plasma.quicksetting.settingsapp quicksettings)
plasma_install_package(wifi org.kde.plasma.quicksetting.wifi quicksettings)
plasma_install_package(hotspot org.kde.plasma.quicksetting.hotspot quicksettings)
add_subdirectory(flashlight)
add_subdirectory(nightcolor)
add_subdirectory(powermenu)
# TODO: Disable screen recording quick setting, as it does not work properly
add_subdirectory(record)
add_subdirectory(screenshot)
add_subdirectory(screenrotation)

=== components/mmplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Tobias Fella <fella@posteo.de>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(ppc-mmqmlplugin URI org.kde.plasma.mm GENERATE_PLUGIN_SOURCE)
target_sources(ppc-mmqmlplugin PRIVATE
    signalindicator.cpp
    profilesettings.cpp
)


target_link_libraries(ppc-mmqmlplugin PRIVATE
    Qt::Qml
    KF6::ModemManagerQt
    KF6::NetworkManagerQt
    KF6::CoreAddons
    KF6::I18n
)


ecm_finalize_qml_module(ppc-mmqmlplugin)

=== quicksettings/flashlight/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(flashlightplugin_SRCS
    flashlightplugin.cpp
    flashlightutil.cpp
    ${DBUS_SRCS}
)

add_library(flashlightplugin ${flashlightplugin_SRCS})

target_link_libraries(flashlightplugin
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::DBus
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Notifications
    udev
)

set_property(TARGET flashlightplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/flashlight)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/flashlight)

install(TARGETS flashlightplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/flashlight)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/flashlight)

plasma_install_package(package org.kde.plasma.quicksetting.flashlight quicksettings)

=== debian/changelog ===
plasma-mobile (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:57:51 +0100

plasma-mobile (6.3.3-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:33 -0500

plasma-mobile (6.3.3-0ubuntu2) plucky; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Mar 2025 14:59:57 +0000

plasma-mobile (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:23:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: plasma-mobile
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                dh-sequence-sodeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwayland-dev,
-               kwin-dev (>= 4:6.3.2~),
+               kwayland-dev (>= 4:6.3.4~),
+               kwin-dev (>= 4:6.3.4~),
                libepoxy-dev,
                libglib2.0-dev,
                libkf6bluezqt-dev,
@@ -32,22 +33,22 @@
                libkf6notifications-dev (>= 6.10.0~),
                libkf6package-dev (>= 6.10.0~),
                libkf6service-dev (>= 6.10.0~),
-               libkscreen-dev,
-               liblayershellqtinterface-dev,
-               libplasma-dev,
-               libplasma5support-dev,
-               libplasmaactivities-dev,
+               libkscreen-dev (>= 4:6.3.4~),
+               liblayershellqtinterface-dev (>= 6.3.4~),
+               libplasma-dev (>= 6.3.4~),
+               libplasma5support-dev (>= 4:6.3.4~),
+               libplasmaactivities-dev (>= 6.3.4~),
                libudev-dev,
                libxcb1-dev,
-               milou,
+               milou (>= 4:6.3.4~),
                pkg-kde-tools,
                pkgconf,
-               plasma-nano,
-               plasma-nm,
-               plasma-pa,
-               plasma-workspace-dev (>= 4:6.1.0~),
+               plasma-nano (>= 6.3.4~),
+               plasma-nm (>= 4:6.3.4~),
+               plasma-pa (>= 4:6.3.4~),
+               plasma-workspace-dev (>= 4:6.3.4~),
                qcoro-qt6-dev,
-               qml6-module-org-kde-pipewire,
+               qml6-module-org-kde-pipewire (>= 6.3.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
@@ -56,8 +57,8 @@
                qt6-wayland-private-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-mobile
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
 Rules-Requires-Root: no
 
 Package: plasma-mobile

## plasma-mobile 6.3.5

=== debian/changelog ===
plasma-mobile (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:35:36 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-sodeps,
                extra-cmake-modules (>= 6.10.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwayland-dev (>= 4:6.3.4~),
-               kwin-dev (>= 4:6.3.4~),
+               kwayland-dev (>= 4:6.3.5~),
+               kwin-dev (>= 4:6.3.5~),
                libepoxy-dev,
                libglib2.0-dev,
                libkf6bluezqt-dev,
@@ -33,22 +33,22 @@
                libkf6notifications-dev (>= 6.10.0~),
                libkf6package-dev (>= 6.10.0~),
                libkf6service-dev (>= 6.10.0~),
-               libkscreen-dev (>= 4:6.3.4~),
-               liblayershellqtinterface-dev (>= 6.3.4~),
-               libplasma-dev (>= 6.3.4~),
-               libplasma5support-dev (>= 4:6.3.4~),
-               libplasmaactivities-dev (>= 6.3.4~),
+               libkscreen-dev (>= 4:6.3.5~),
+               liblayershellqtinterface-dev (>= 6.3.5~),
+               libplasma-dev (>= 6.3.5~),
+               libplasma5support-dev (>= 4:6.3.5~),
+               libplasmaactivities-dev (>= 6.3.5~),
                libudev-dev,
                libxcb1-dev,
-               milou (>= 4:6.3.4~),
+               milou (>= 4:6.3.5~),
                pkg-kde-tools,
                pkgconf,
-               plasma-nano (>= 6.3.4~),
-               plasma-nm (>= 4:6.3.4~),
-               plasma-pa (>= 4:6.3.4~),
-               plasma-workspace-dev (>= 4:6.3.4~),
+               plasma-nano (>= 6.3.5~),
+               plasma-nm (>= 4:6.3.5~),
+               plasma-pa (>= 4:6.3.5~),
+               plasma-workspace-dev (>= 4:6.3.5~),
                qcoro-qt6-dev,
-               qml6-module-org-kde-pipewire (>= 6.3.4~),
+               qml6-module-org-kde-pipewire (>= 6.3.5~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
